Subject: Re: w32api maintainer
From: Pavel Tsekov <[email-masked]>
To: MU List <[email-masked]>
Cc: Kim Saunders <[email-masked]>, CU List <[email-masked]>
Date: Fri, 12 Oct 2001 17:28:55 +0200

Earnie Boyd wrote:
> 
> >  --- Kim Saunders <[email-masked]> wrote: > Hi,
> > >
> > > I am using cygwin extensively for a project of mine
> > > (http://xwinx.sourceforge.net/).
> > >
> > > I am using the w32api code for API calls, but there are a few constants
> > > that I need that are in the MS platform sdk headers, but not in the
> > > cygwin w32api headers. For example, the MOUSEEVENTF_WHEEL constant, but
> > > there are others.
> > >
> > > Who maintains the cygwing w32api code? Who should I be talking to to get
> > > these constants added, or is there a way I can do it myself?
> > >
> > > Thanks,
> >
> >
> >
> > Here is where you can submit w32api patches:
> > https://sourceforge.net/projects/mingw/
> > and click on patches.
> >
> > But first: Read the license agreement that comes with the MS psdk headers.
> > It is your responsibilty to understand the terms of that agreement.
> 
> I.E.: You must supply the constants in whiteroom technique, finding the
> values only from documentation.  DO NOT SUBMIT A PATCH WITH CODE COPIED
> FROM THE PSDK.
> 

Do you consider finding it with debugger a whiteroom technique ? :) Or
one
should point exactly from where he extracted the information ?

Pavel Tsekov

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/